# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake flex gcc-c++
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1

Name: libproccpuinfo
Version: 0.0.8
Release: alt1
Summary: libproccpuinfo
Group: Other
License: see COPYING

Source0: %{name}-%{version}.tar.bz2
Source44: libproccpuinfo.watch

%description
This software provides architecture independent C functions for reading
/proc/cpuinfo on GNU/Linux systems. See proccpuinfo.h for the functions
available from the library. See proccpuinfo.c in the examples directory
for an example of how to use this library.

%package -n libproccpuinfo0
Summary: shared library for %name
Group: System/Libraries

%description -n libproccpuinfo0
shared library for %name

%package devel
Summary: development files for %name
Group: Development/C
Requires: libproccpuinfo0 = %{?serial:%serial:}%version-%release


%description devel
development files for %name

%prep
%setup -n %{name}-%{version}

%build
%cmake_insource
%make_build

%install
%makeinstall_std
%if "%_lib" == "lib64" 
mv %buildroot/usr/lib %buildroot%_libdir
%endif 

%files
%doc ChangeLog README AUTHORS COPYING TODO examples

%files -n libproccpuinfo0
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/libproccpuinfo.so

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt1
- initial import by package builder

